UnsatisfiedReferenceDTO
Date: 2016-06-25

org.osgi.service.component.runtime.dto

## Class UnsatisfiedReferenceDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.component.runtime.dto.UnsatisfiedReferenceDTO

-     public class UnsatisfiedReferenceDTO
      extends org.osgi.dto.DTO

  A representation of an unsatisfied reference.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `name` The name of the declared reference.
    `java.lang.String` | `target` The target property of the unsatisfied reference.
    `org.osgi.framework.dto.ServiceReferenceDTO[]` | `targetServices` The target services.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsatisfiedReferenceDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      The name of the declared reference.

      This is declared in the `name` attribute of the `reference` element of the component description.

      See Also:
        `ReferenceDTO.name`

    - #### target

          public java.lang.String target

      The target property of the unsatisfied reference.

      This is the value of the `component property` whose name is the concatenation of the `declared reference name` and ".target". This must be `null` if no target property is set for the reference.

    - #### targetServices

          public org.osgi.framework.dto.ServiceReferenceDTO[] targetServices

      The target services.

      Each `ServiceReferenceDTO` in the array represents a target service for the reference. The array must be empty if there are no target services. The upper bound on the number of target services in the array is the upper bound on the `cardinality` of the reference.

  - ### Constructor Detail

    - #### UnsatisfiedReferenceDTO

          public UnsatisfiedReferenceDTO()